Bug 11177 - no talloc stackframe at ../source3/libsmb/clifsinfo.c:444, leaking memory
no talloc stackframe at ../source3/libsmb/clifsinfo.c:444, leaking memory
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: libsmbclient
4.1.12
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-03-23 07:23 UTC by hargagan
Modified: 2015-04-09 19:22 UTC (History)
3 users (show)

See Also:


Attachments
Fixing error message in libsmbcilent saying no talloc stack frame (1.83 KB, patch)
2015-03-23 07:23 UTC, hargagan
no flags Details
Raw patch for master. (1.95 KB, patch)
2015-03-25 21:38 UTC, Jeremy Allison
no flags Details
git-am cherry-pick from master for 4.2.next, 4.1.next. (2.67 KB, patch)
2015-03-26 21:27 UTC, Jeremy Allison
obnox: review+
jra: review? (ddiss)
jra: review? (asn)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description hargagan 2015-03-23 07:23:12 UTC
Created attachment 10905 [details]
Fixing error message in libsmbcilent saying no talloc stack frame

The error is comming while during smb operations. It comes during the write operations. 

Probable fix for this issue is attached. Please review.
Comment 1 Jeremy Allison 2015-03-25 21:38:41 UTC
Created attachment 10911 [details]
Raw patch for master.

Can you try this patch instead ? I think it will do the same thing but fixes it at the correct level in the code.

Thanks!

Jeremy.
Comment 2 hargagan 2015-03-26 04:53:55 UTC
(In reply to Jeremy Allison from comment #1)
Surely. I will try that and let you know the result.
Comment 3 hargagan 2015-03-26 09:18:40 UTC
Tested the change and that error doesn't appear in the logs. So the patch works fine. Thanks.
Comment 4 Jeremy Allison 2015-03-26 21:27:44 UTC
Created attachment 10916 [details]
git-am cherry-pick from master for 4.2.next, 4.1.next.

Cherry-pick that went into master for 4.2.next, 4.1.next.
Comment 5 hargagan 2015-03-27 05:18:43 UTC
(In reply to Jeremy Allison from comment #4)
Thanks a lot Jeremy for such a quick response, much appreciated.
Comment 6 Tom Schulz 2015-03-31 18:40:30 UTC
Is this complete or does it need to be reassigned to Karolin?
Comment 7 Michael Adam 2015-03-31 18:58:53 UTC
(In reply to Tom Schulz from comment #6)
> Is this complete or does it need to be reassigned to Karolin?

Thanks for the reminder, Tom.
It was not done: it needed an additional review, which I have just given.

Assigning to Karolin now.

Karolin, please pick for 4.2/4.1 - Thanks!
Comment 8 Karolin Seeger 2015-04-08 19:16:00 UTC
Pushed to autobuild-v4-[1|2]-test.
Comment 9 Karolin Seeger 2015-04-09 19:22:12 UTC
(In reply to Karolin Seeger from comment #8)
Pushed to both branches.
Closing out bug report.

Thanks!